// Максимально возможные различные способы которым можно создать объект и чем такие объекты будут отличаться друг от друга?
//Что такое функция высшего порядка? Аргументированный пример использования, там где действительно необходимо?

//1.создать объект мы можем с помощью оператора new, конструктора объектов с использованием фигурных скобок {}, Object.create,
//с помощью функции-конструктора  и ключевого слова class
//объекты наследуются от другого объекта, так же есть ключевое слово this, которое указывает на обьект(то есть это и есть обьект)
//Обьект создается при создании любой функции - Function(при ееи вызове можно это проверить)

//2.функция высшего порядка - это функции которые работают с другими функциями , принимая их в качестве аргументов или возращают их
//Например, функция высшего порядка JS такие как : Array.prototype.filter и Array.prototype.reduce, Array.prototype.map ...
